package beans;

import java.io.File;
import java.io.IOException;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.context.FacesContext;
import javax.servlet.ServletContext;
import javax.servlet.http.Part;

@ManagedBean
@SessionScoped
public class DemoBean 
{
    private Part file1;
    private Part file2;

    private  static String DIR = null;
    public Part getFile1()
    {
        return file1;
    }

    public void setFile1(Part file1)
    {
        this.file1 = file1;
    }

    public Part getFile2()
    {
        return file2;
    }

    public void setFile2(Part file2) {
        this.file2 = file2;
    }

    private static void setDirUpload()
    {
    	ServletContext servletContext= (ServletContext) FacesContext.getCurrentInstance().getExternalContext().getContext();
        String path = servletContext.getRealPath("/");
        File fl = new File(path + "/upload");
        DIR = fl.getPath() + File.separator;
    }
    public String upload() throws IOException
    {
    	if (DIR == null)
    		setDirUpload();
        file1.write(DIR + getFilename(file1));
        file2.write(DIR + getFilename(file2));
        return "success?faces-redirect=true";
    }

    private static String getFilename(Part part) 
    {
        for (String file : part.getHeader("content-disposition").split(";")) {
            if (file.trim().startsWith("filename")) {
                String filename = file.substring(file.indexOf('=') + 1).trim().replace("\"", "");
                return filename.substring(filename.lastIndexOf('/') + 1)
                		                          .substring(filename.lastIndexOf('\\') + 1); // MSIE fix.
            }
        }
        return null;
    }
}
